Bug 849881 - Clipping happens on printing a text document from gedit application on Envelope paper size with landscape mode and scale to fit option in print queue properties.
Clipping happens on printing a text document from gedit application on Envelo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 03:17 EDT by Goutam Kodu
Modified: 2013-08-01 06:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 739869
Environment:
Last Closed: 2013-08-01 06:23:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Goutam Kodu 2012-08-21 03:17:40 EDT
+++ This bug was initially created as a clone of Bug #739869 +++

Description of problem:Clipping of text document while printing from gedit application


Version-Release number of selected component (if applicable):Ghostscript-9.02 (gstoraster filter)


How reproducible:Open a text document with gedit application.Click on print button in the file tab and select the print driver and select the page setup tab. choose the pagesize #10Envelope and  orientation to be landscape .Click on the print button. 

Steps to Reproduce:
1.Open a text document with gedit application
2.Click on print button in the file tab and select the print driver and select the page setup tab.
3.choose the pagesize #10Envelope and  orientation to be landscape .Click on the print button.
  
Actual results:The output shows that right portion of the text document is clipped.



Expected results:No clipping should happen.


Additional info:The filter chain seen in the cups error_log file is pdftops,gstoraster,hpcups. I producted the raster output of gstoraster filter and viewed it with rasterviewer the clipping was Observed at raster output only.

--- Additional comment from twaugh@redhat.com on 2011-09-20 07:52:22 EDT ---

Please attach the PPD for this queue.

--- Additional comment from goutam.hplip@gmail.com on 2011-09-21 00:25:16 EDT ---

Created attachment 524124 [details]
PPD file

Attached the PPD file.

--- Additional comment from twaugh@redhat.com on 2011-11-02 06:50:06 EDT ---

This is a bug in gedit (or, perhaps the GTK+ print dialog).

Although the media size for the "#10 Envelope" media is 297pt x 684pt (1pt == 1/72 in), the imageable area is smaller than that:

$ egrep '(Imageable|Dimension).*Env10' hp-photosmart_prem-web_c309n-s.ppd
*ImageableArea Env10/#10 Envelope 4.125x9.5in: "9.00 42.19 288.00 675.00"
*PaperDimension Env10/#10 Envelope 4.125x9.5in: "297.00 684.00"

i.e. 9 points in from the long edges, 9 points in from one of the short edges, and 42.19 points in from the remaining edge.

gedit needs to arrange for its margins to respect those specified in the PPD.

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 14:30:33 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Fedora End Of Life 2013-07-03 23:10:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 06:23:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.